%define		orgname		qtwebglplugin
%define		qtbase_ver		%{version}
%define		qtdeclarative_ver	%{version}
%define		qtwebsockets_ver	%{version}
Summary:	The Qt5 WebGL platform plugin
Summary(pl.UTF-8):	Wtyczka platformy Qt5 WebGL
Name:		qt5-%{orgname}
Version:	5.15.16
Release:	1
License:	GPL v3+ or commercial
Group:		X11/Libraries
Source0:	https://download.qt.io/official_releases/qt/5.15/%{version}/submodules/%{orgname}-everywhere-opensource-src-%{version}.tar.xz
# Source0-md5:	01abdff92328f7e6ad159d0b14211089
URL:		https://www.qt.io/
BuildRequires:	Qt5Core-devel >= %{qtbase_ver}
BuildRequires:	Qt5DBus-devel >= %{qtbase_ver}
BuildRequires:	Qt5EventDispatcherSupport-devel >= %{qtbase_ver}
BuildRequires:	Qt5FontDatabaseSupport-devel >= %{qtbase_ver}
BuildRequires:	Qt5Gui-devel >= %{qtbase_ver}
BuildRequires:	Qt5Network-devel >= %{qtbase_ver}
BuildRequires:	Qt5Quick-devel >= %{qtdeclarative_ver}
BuildRequires:	Qt5ThemeSupport-devel >= %{qtbase_ver}
BuildRequires:	Qt5WebSockets-devel >= %{qtwebsockets_ver}
BuildRequires:	fontconfig-devel
BuildRequires:	freetype-devel >= 2
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	pkgconfig
BuildRequires:	qt5-build >= %{qtbase_ver}
BuildRequires:	qt5-qmake >= %{qtbase_ver}
BuildRequires:	rpmbuild(macros) >= 2.016
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fno-strict-aliasing
%define		qt5dir		%{_libdir}/qt5

%description
Qt is a cross-platform application and UI framework. Using Qt, you can
write web-enabled applications once and deploy them across desktop,
mobile and embedded systems without rewriting the source code.

This package contains Qt5 WebGL platform plugin.

%description -l pl.UTF-8
Qt to wieloplatformowy szkielet aplikacji i interfejsów użytkownika.
Przy użyciu Qt można pisać aplikacje powiązane z WWW i wdrażać je w
systemach biurkowych, przenośnych i wbudowanych bez przepisywania kodu
źródłowego.

Ten pakiet zawiera wtyczkę platformy Qt5 WebGL.

%package -n Qt5Gui-platform-webgl
Summary:	Qt5 Gui WebGL platform plugin
Summary(pl.UTF-8):	Wtyczka platformy WebGL do biblioteki Qt5 Gui
Group:		X11/Libraries
Requires:	Qt5Core >= %{qtbase_ver}
Requires:	Qt5DBus >= %{qtbase_ver}
Requires:	Qt5Gui >= %{qtbase_ver}
Requires:	Qt5Network >= %{qtbase_ver}
Requires:	Qt5Quick >= %{qtdeclarative_ver}
Requires:	Qt5WebSockets >= %{qtwebsockets_ver}

%description -n Qt5Gui-platform-webgl
Qt5 Gui WebGL platform plugin.

%description -n Qt5Gui-platform-webgl -l pl.UTF-8
Wtyczka platformy WebGL do biblioteki Qt5 Gui.

%prep
%setup -q -n %{orgname}-everywhere-src-%{version}

%build
%{qmake_qt5}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files -n Qt5Gui-platform-webgl
%defattr(644,root,root,755)
%doc dist/changes-*
# R: Qt5Core Qt5DBus Qt5Gui Qt5Network Qt5Quick Qt5WebSockets fontconfig freetype glib2
%attr(755,root,root) %{qt5dir}/plugins/platforms/libqwebgl.so
%{_libdir}/cmake/Qt5Gui/Qt5Gui_QWebGLIntegrationPlugin.cmake
%changelog
* Mon Nov 18 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/qt5-qtwebglplugin.git;a=log;h=master

* Mon Nov 18 2024 Jan Palus <atler@pld-linux.org> 9fc2566
- up to 5.15.16

* Sat Aug 31 2024 Jan Palus <atler@pld-linux.org> 81d44db
- up to 5.15.15

* Sun May 26 2024 Jan Palus <atler@pld-linux.org> aee0252
- up to 5.15.14

* Sat Mar 09 2024 Jan Palus <atler@pld-linux.org> 8e6a3ee
- up to 5.15.13

* Fri Dec 22 2023 Jan Palus <atler@pld-linux.org> 36d3b13
- up to 5.15.12

* Thu Oct 05 2023 Jan Palus <atler@pld-linux.org> 94a5dd6
- up to 5.15.11

* Wed Jun 07 2023 Jan Palus <atler@pld-linux.org> 169da76
- up to 5.15.10

* Thu Apr 06 2023 Jan Palus <atler@pld-linux.org> e275d9f
- up to 5.15.9

* Wed Jan 04 2023 Jan Palus <atler@pld-linux.org> 6415574
- up to 5.15.8

* Fri Oct 28 2022 Jan Palus <atler@pld-linux.org> f83a975
- up to 5.15.7

* Thu Sep 08 2022 Jan Palus <atler@pld-linux.org> 4664dae
- up to 5.15.6

* Mon Jun 27 2022 Jakub Bogusz <qboosh@pld-linux.org> 91b30ae
- updated to 5.15.5

* Thu May 12 2022 Jan Palus <atler@pld-linux.org> 1fa5d96
- use macro for qmake invocation

* Thu May 12 2022 Jan Palus <atler@pld-linux.org> fadf045
- up to 5.15.4

* Thu May 12 2022 Jan Palus <atler@pld-linux.org> 4914d4e
- BR: Qt5EventDispatcherSupport-devel Qt5FontDatabaseSupport-devel Qt5ThemeSupport-devel

* Tue Apr 20 2021 Jakub Bogusz <qboosh@pld-linux.org> b830be7
- new

